Redmine - Defect #13006

Filter "Assignee's group’ doesn't work with group assignments
2013-01-28 11:06 - Jan Niggemann (redmine.org team member)

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 2.3.0

Resolution: Fixed Affected version:

Description

Reproduce

1. Configure group assignments
2. Assign issue to a group XYZ
3. List issues, set filter "Assignee's group” is "XYZ"

Output: No data to display

Expected output: Issues assigned to users belonging to group "XYZ" as well as issues assighed to group XYZ itself

Related issues:

Related to Redmine - Defect #9132: Filtering by "Assignee's Group" doesn't sh... Closed
Related to Redmine - Feature #7867: Add filters for "Author's group" and "Aut... Closed
Related to Redmine - Defect #13758: Issue Filtering 'Assignee = <<me>>' shows... New

2011-08-26
2011-03-15

Associated revisions

Revision 11285 - 2013-01-29 18:59 - Jean-Philippe Lang

Fixe that filter "Assignee's group" doesn't work with group assignments (#13006).

History

#1 - 2013-01-29 18:59 - Jean-Philippe Lang
- Category set to Issues

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.2.3

- Resolution set to Fixed

Fixed in r11285.

#2 - 2013-01-30 22:28 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

tested in 11289, fixed, closing
thank you!

#3 - 2013-01-30 22:35 - Jean-Philippe Lang

- Status changed from Closed to Resolved

Thanks for the feedback. FYI: I'm keeping it open until it's merged into the 2.2-stable branch.

#4 - 2013-02-04 12:30 - Toshi MARUYAMA
Is this issue duplicate with #9132?

#5 - 2013-02-04 12:41 - Jan Niggemann (redmine.org team member)
https://www.redmine.org/projects/redmine/repository/svn/revisions/11285
https://www.redmine.org/issues/9132

Reading #9132 I'd say: Yes.

#6 - 2013-02-04 13:21 - Toshi MARUYAMA

| think Redmine 2.2.2 behavior is designed behavior implemented by #5869 1.1.0.
"Assign issues to groups" is implemented by #2964 1.3.0.

As described note-5 of #9132,

should we add new "Author group filtering" (#7867) instead of this issue r11285 ?

#7 - 2013-02-04 13:55 - Jan Niggemann (redmine.org team member)
| thought of groups not only for privilege management, | also imagined being able to use them as support queues, i.e. a business can have groups like
e Groupware

¢ Windows
e Hardware (Printers, PCs, Laptops)

I imagined a workflow like this:
1. Callcenter agent assigns issue to one of the groups
2. Group supervisor assigns issue to supporter (or a supporter assigns issue to himself)
3. supporter resolves issue

It truly is arguable if 2.2.2 already exposed the desired behavior before, or only after r11285...

Some thoughts:
In the broader picture, I'm afraid that we might scare off people with too many options, filters and such. While perfect for redmine-experts, new users
can get confused with too many options and turn away.

Perhaps it'd be better the functionality stayed like before r11285 and for my idea of issue queues, we recommend people create a custom field for the
group assignment? After all, if a group and no particular user is assigned, there's no assignee. A supervisor would then be able to filter "assignee =
none" AND "custom_group=Hardware"...

#8 - 2013-02-12 18:58 - Jean-Philippe Lang
- Target version changed from 2.2.3 to 2.3.0

#9 - 2013-02-24 10:14 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Filter behaviour changed in r11285.

#10 - 2014-09-26 03:06 - Toshi MARUYAMA

- Related to Defect #13758: Issue Filtering 'Assignee = <<me>>'shows group issues, but 'Assignee = Bob' does not added
